## org.eclipse.jst.ws.jaxws.dom.runtime
Interface IPropertyDefaults

    public interface IPropertyDefaults

Interface that provides default values for DOM object's properties. Usually this interface should be used by clients that need to revert some property value to the default one.

Author:
  Georgi Vachkov

Method Summary
`java.lang.Object` `getDefault(org.eclipse.emf.ecore.EStructuralFeature feature)` Defines the default value for this `feature`.

Method Detail

### getDefault

    java.lang.Object getDefault(org.eclipse.emf.ecore.EStructuralFeature feature)

  Defines the default value for this `feature`.

  Parameters:
    `feature` - the feature representing the objects property type
  Returns:
    the default value. In case `null` is possible property value `null` might be returned